Skip to main content
GET
/
properties
/
v1
/
contacts
/
groups
/
named
/
{groupName}
Get Contact Property Group Details
curl --request GET \
  --url https://api.hubapi.com/properties/v1/contacts/groups/named/{groupName}
{
  "name": "<string>",
  "displayName": "<string>",
  "displayOrder": 123,
  "hubspotDefined": true,
  "properties": [
    {
      "name": "<string>",
      "label": "<string>",
      "description": "<string>",
      "groupName": "<string>",
      "type": "string",
      "fieldType": "textarea",
      "options": [
        {
          "description": "<string>",
          "label": "<string>",
          "value": "<string>",
          "displayOrder": 123,
          "hidden": true,
          "readOnly": true,
          "doubleData": 123
        }
      ],
      "displayOrder": 123,
      "formField": true,
      "readOnlyValue": true,
      "readOnlyDefinition": true,
      "hidden": true,
      "mutableDefinitionNotDeletable": true,
      "favorited": true,
      "favoritedOrder": 123,
      "calculated": true,
      "externalOptions": true,
      "displayMode": "<string>",
      "deleted": true,
      "hubspotDefined": true,
      "createdAt": 123,
      "updatedAt": 123,
      "createdUserId": 123,
      "updatedUserId": 123
    }
  ]
}

Path Parameters

groupName
string
required

The internal name of the property group.

Query Parameters

includeProperties
boolean

Set this parameter to true if you want the response to include the definitions of the properties in the group.

Response

200 - application/json

Successful response with contact property group details

name
string

The internal name of the property group

displayName
string

The displayed name of the group

displayOrder
integer

The order of the group when displaying properties

hubspotDefined
boolean

Whether the group is defined by HubSpot

properties
object[]

Properties in this group (only included if includeProperties=true)

Last modified on March 30, 2026